<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__lptimer" kind="group">
    <compoundname>group_hal_lptimer</compoundname>
    <title>LPTimer (Low-Power Timer)</title>
    <innerclass prot="public" refid="structcyhal__lptimer__info__t">cyhal_lptimer_info_t</innerclass>
    <innergroup refid="group__group__hal__results__lptimer">LPTimer HAL Results</innergroup>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__lptimer_1ga8a2db5e37e9e36afd382844cf909278f" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_lptimer_event_t</name>
        <enumvalue id="group__group__hal__lptimer_1gga8a2db5e37e9e36afd382844cf909278faceff0fa4521dc3b5f6c21ae4180845e6" prot="public">
          <name>CYHAL_LPTIMER_COMPARE_MATCH</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_lptimer_event_t: </bold><linebreak />LPTimer interrupt triggers.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="95" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" bodystart="93" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="93" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__lptimer_1ga09c30c6a9abcbd1a738529102aa9c9b5" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_lptimer_event_callback_t) (void *callback_arg, cyhal_lptimer_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_lptimer_event_t event)</argsstring>
        <name>cyhal_lptimer_event_callback_t</name>
        <briefdescription>
<para>Handler for LPTimer interrupts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" bodystart="98" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="98" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1gad5438541af765572369ee96588bd4ee5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_lptimer_init</definition>
        <argsstring>(cyhal_lptimer_t *obj)</argsstring>
        <name>cyhal_lptimer_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Initialize the LPTimer. </para>        </briefdescription>
        <detaileddescription>
<para>Initialize or re-initialize the LPTimer. This resets all the clocking and prescaler registers, along with disabling the compare interrupt. Refer to the BSP for the clock source for the LPTimer.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to an LPTimer object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request. On success it returns <ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="214" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="161" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="112" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1ga0cbaebaddaa47faf71a69d46c65f7917" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_lptimer_free</definition>
        <argsstring>(cyhal_lptimer_t *obj)</argsstring>
        <name>cyhal_lptimer_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize the LPTimer. </para>        </briefdescription>
        <detaileddescription>
<para>Powers down the LPTimer. After calling this function no other LPTimer functions should be called except <ref kindref="member" refid="group__group__hal__lptimer_1gad5438541af765572369ee96588bd4ee5">cyhal_lptimer_init()</ref>. Calling any function other than init after freeing is undefined.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="232" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="216" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="123" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1ga5ed361c85190707574565009eb325473" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_lptimer_reload</definition>
        <argsstring>(cyhal_lptimer_t *obj)</argsstring>
        <name>cyhal_lptimer_reload</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Reload/Reset the Low-Power timer. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the reload request. On success it returns <ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="238" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="234" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="130" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1ga39d049f6f4bdd0bcd4e0be2ab48d3394" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_lptimer_set_match</definition>
        <argsstring>(cyhal_lptimer_t *obj, uint32_t value)</argsstring>
        <name>cyhal_lptimer_set_match</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>value</declname>
        </param>
        <briefdescription>
<para>Update the match/compare value. </para>        </briefdescription>
        <detaileddescription>
<para>Update the match value of an already configured LPTimer set up to generate an interrupt on match. Note that this function does not reinitialize the counter or the associated peripheral initialization sequence. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This does not reset the counter.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">value</parametername>
</parameternamelist>
<parameterdescription>
<para>The tick value to match</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_match request. On success it returns <ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="244" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="240" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="148" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1gae91cdc8b63ef191f5a2013df3aaa5d78" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_lptimer_set_delay</definition>
        <argsstring>(cyhal_lptimer_t *obj, uint32_t delay)</argsstring>
        <name>cyhal_lptimer_set_delay</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>delay</declname>
        </param>
        <briefdescription>
<para>Update the match/compare value. </para>        </briefdescription>
        <detaileddescription>
<para>Update the match value of an already configured LPTimer set up to generate an interrupt on match delay from the current counter value. Note that this function does not reinitialize the counter or the associated peripheral initialization sequence. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This does not reset the counter.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">delay</parametername>
</parameternamelist>
<parameterdescription>
<para>The ticks to wait. The minimum permitted delay value can be queried using <ref kindref="member" refid="group__group__hal__lptimer_1ga35efd806c6a7e0a3c80ef41b0f1e989d">cyhal_lptimer_get_info</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_match request. On success it returns <ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="250" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="246" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1gae759c60b5865a26599353e436518b1d3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_lptimer_read</definition>
        <argsstring>(const cyhal_lptimer_t *obj)</argsstring>
        <name>cyhal_lptimer_read</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Read the current tick. </para>        </briefdescription>
        <detaileddescription>
<para>If no rollover has occurred, the seconds passed since <ref kindref="member" refid="group__group__hal__lptimer_1gad5438541af765572369ee96588bd4ee5">cyhal_lptimer_init()</ref> or <ref kindref="member" refid="group__group__hal__lptimer_1gae51c0464d3c9ca35707e15afe31ccb54">cyhal_lptimer_set_time()</ref> was called can be found by dividing the ticks returned by this function by the frequency of the source clock (Refer to BSP Settings section in the kit's BSP API Reference Manual for details on the clock source for LPTimer).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The timer's timer value in ticks </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="255" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="252" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="176" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1gac670fa5380ffd41e548dac6975500b3d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_lptimer_register_callback</definition>
        <argsstring>(cyhal_lptimer_t *obj, cyhal_lptimer_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_lptimer_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__lptimer_1ga09c30c6a9abcbd1a738529102aa9c9b5">cyhal_lptimer_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register a LPTimer match event handler. </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__lptimer_1gaa07d09cfeb275d1343a335f6b4caec9c">cyhal_lptimer_enable_event</ref> occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when the interrupt triggers </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the handler when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="265" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="257" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="186" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1gaa07d09cfeb275d1343a335f6b4caec9c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_lptimer_enable_event</definition>
        <argsstring>(cyhal_lptimer_t *obj, cyhal_lptimer_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_lptimer_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__lptimer_1ga8a2db5e37e9e36afd382844cf909278f">cyhal_lptimer_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure and Enable/Disable the LPTimer events. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__lptimer_1gac670fa5380ffd41e548dac6975500b3d">cyhal_lptimer_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on event, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="276" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="267" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="197" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1ga6c86e106c2cc0e5ce0cc4168924a7d41" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_lptimer_irq_trigger</definition>
        <argsstring>(cyhal_lptimer_t *obj)</argsstring>
        <name>cyhal_lptimer_irq_trigger</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Manually trigger the LPTimer interrupt. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="283" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="278" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="203" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__lptimer_1ga35efd806c6a7e0a3c80ef41b0f1e989d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_lptimer_get_info</definition>
        <argsstring>(cyhal_lptimer_t *obj, cyhal_lptimer_info_t *info)</argsstring>
        <name>cyhal_lptimer_get_info</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__info__t">cyhal_lptimer_info_t</ref> *</type>
          <declname>info</declname>
        </param>
        <briefdescription>
<para>Get information about the LPTimer. </para>        </briefdescription>
        <detaileddescription>
<para>Provides information such as operating frequency, etc.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPTimer object. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">info</parametername>
</parameternamelist>
<parameterdescription>
<para>Information about the LPtimer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="293" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_lptimer.c" bodystart="285" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="212" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__lptimer_1gae51c0464d3c9ca35707e15afe31ccb54" kind="define" prot="public" static="no">
        <name>cyhal_lptimer_set_time</name>
        <initializer><ref kindref="member" refid="group__group__hal__lptimer_1ga39d049f6f4bdd0bcd4e0be2ab48d3394">cyhal_lptimer_set_match</ref></initializer>
        <briefdescription>
<para>Deprecated. </para>        </briefdescription>
        <detaileddescription>
<para>Call cyhal_lptimer_set_match instead. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" bodystart="133" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="133" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>High level interface for interacting with the low-power timer (LPTimer). </para>    </briefdescription>
    <detaileddescription>
<para>LPTimer can operate in all possible low power modes. It can be used either to measure timing between events, or to perform some action after a specified interval of time. </para>
<para><heading level="1">Features</heading></para>
<para><itemizedlist>
<listitem><para>Wake the device up from deepsleep</para></listitem><listitem><para>Configurable to create a free-running timer or generate periodic interrupts.</para></listitem><listitem><para>Configurable to update the match value of an already configured LPTimer set up to generate an interrupt on match.</para></listitem><listitem><para>Used for measuring time between events in free-running mode.</para></listitem></itemizedlist>
</para>

<para><heading level="1">Quick Start</heading></para>
<para><ref kindref="member" refid="group__group__hal__lptimer_1gad5438541af765572369ee96588bd4ee5">cyhal_lptimer_init</ref> can be used for a LPTimer initialization which resets all the clocking and prescaler registers, along with disabling the compare interrupt.</para><para>See <ref kindref="member" refid="group__group__hal__lptimer_1subsection_lptimer_snippet_2">Snippet 2: LPTimer interrupts</ref>.</para>

<para><heading level="1">Code snippets</heading></para>

<para><bold>Snippet 1: LPTimer initialization with Default configuration</bold></para>
<para>The following snippet initializes a LPTimer in free running mode. <programlisting filename="lptimer.c"><codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />rslt;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref><sp />lptimer_obj;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />lptimer_value;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />the<sp />LPTIMER<sp />with<sp />default<sp />configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__hal__lptimer_1gad5438541af765572369ee96588bd4ee5">cyhal_lptimer_init</ref>(&amp;lptimer_obj);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Read<sp />the<sp />LPTIMER<sp />count<sp />value<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />lptimer_value<sp />=<sp /><ref kindref="member" refid="group__group__hal__lptimer_1gae759c60b5865a26599353e436518b1d3">cyhal_lptimer_read</ref>(&amp;lptimer_obj);</highlight></codeline>
</programlisting> </para>

<para><bold>Snippet 2: LPTimer interrupts</bold></para>
<para>The following snippet initializes a LPTimer and uses <ref kindref="member" refid="group__group__hal__lptimer_1ga39d049f6f4bdd0bcd4e0be2ab48d3394">cyhal_lptimer_set_match()</ref> to trigger an interrupt on match. Subsequent interrupts can be triggered at required times using <ref kindref="member" refid="group__group__hal__lptimer_1gae91cdc8b63ef191f5a2013df3aaa5d78">cyhal_lptimer_set_delay()</ref> called from the ISR. <programlisting filename="lptimer.c"><codeline><highlight class="preprocessor">#define<sp />LPTIMER_MATCH_VALUE<sp /><sp /><sp /><sp />(8192u)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#define<sp />LPTIMER_INTR_PRIORITY<sp /><sp /><sp /><sp /><sp />(3u)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref><sp />lptimer_obj;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />snippet_lptimer_init()</highlight></codeline>
<codeline><highlight class="normal">{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />rslt;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />the<sp />LPTIMER<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__hal__lptimer_1gad5438541af765572369ee96588bd4ee5">cyhal_lptimer_init</ref>(&amp;lptimer_obj);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(rslt<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />a<sp />match<sp />value<sp />of<sp />8192<sp />counts<sp />(~0.25<sp />seconds<sp />for<sp />a<sp />clock<sp />source<sp />of<sp />32768<sp />Hz)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__lptimer_1ga39d049f6f4bdd0bcd4e0be2ab48d3394">cyhal_lptimer_set_match</ref>(&amp;lptimer_obj,<sp />LPTIMER_MATCH_VALUE);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Register<sp />the<sp />callback<sp />handler<sp />which<sp />will<sp />be<sp />invoked<sp />when<sp />the<sp />interrupt<sp />triggers<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__lptimer_1gac670fa5380ffd41e548dac6975500b3d">cyhal_lptimer_register_callback</ref>(&amp;lptimer_obj,<sp />lptimer_interrupt_handler,<sp />NULL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />and<sp />Enable<sp />the<sp />LPTIMER<sp />events<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__lptimer_1gaa07d09cfeb275d1343a335f6b4caec9c">cyhal_lptimer_enable_event</ref>(&amp;lptimer_obj,<sp />CYHAL_LPTIMER_COMPARE_MATCH,<sp />LPTIMER_INTR_PRIORITY,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Reload/Reset<sp />the<sp />Low-Power<sp />timer<sp />to<sp />start<sp />counting<sp />from<sp />this<sp />instant<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__lptimer_1ga5ed361c85190707574565009eb325473">cyhal_lptimer_reload</ref>(&amp;lptimer_obj);</highlight></codeline>
<codeline><highlight class="normal">}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />lptimer_interrupt_handler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*handler_arg,<sp /><ref kindref="member" refid="group__group__hal__lptimer_1ga8a2db5e37e9e36afd382844cf909278f">cyhal_lptimer_event_t</ref><sp />event)</highlight></codeline>
<codeline><highlight class="normal">{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(handler_arg);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(event);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Reload/Reset<sp />the<sp />Low-Power<sp />timer<sp />to<sp />start<sp />counting<sp />from<sp />this<sp />instant<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__lptimer_1gae91cdc8b63ef191f5a2013df3aaa5d78">cyhal_lptimer_set_delay</ref>(&amp;lptimer_obj,<sp />LPTIMER_MATCH_VALUE);</highlight></codeline>
<codeline><highlight class="normal">}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para>

    </detaileddescription>
  </compounddef>
</doxygen>